@import 'custom-properties';

:host {
    position: fixed;
    z-index: 1;
    height: var(--menu-height);
    width: 100%;
    background-color: var(--color-primary);
    box-shadow: 0px -10px 30px;
}

::selection {
    color: white;
    background: var(--color-secondary);
  }

select {
    // position: relative;
    float: left;
    width: var(--side-nav-width);
    height: 50px;
    padding-left: 20px;
    padding-top: 4px;
    font-size: 20px;
    font-weight: bold;
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    color: var(--color-secondary);
    background-color: rgba(255, 255, 255, 0.2);
    appearance: none;
    border: none;
    border-radius: 0px;
    box-sizing: border-box;
    cursor: pointer;
    option {
        background-color: white;
    }
    &:hover {
        background-color: rgba(255, 255, 255, 0.2);
    }
    &:focus {
        outline: none;
        background-color: rgba(255, 255, 255, 0.2);
    }
}

#unfold {
    position: relative;
    float: left;
    color: var(--color-secondary);
    pointer-events: none;
    width: 0px;
    height: 50px;
    right: 40px;
    top: 14px;
}

#songsList {
    float: left;
    width: 40px;
    height: 35px;
    color: var(--color-secondary);
    cursor: pointer;
    vertical-align: top;
    padding-top: 15px;
    padding-left: 15px;
    display: none;
}

.button {
    float: right;
    width: 40px;
    height: 35px;
    color: var(--color-secondary);
    cursor: pointer;
    vertical-align: top;
    padding-top: 15px;
    padding-left: 15px;
    &:hover {
        background-color: rgba(255, 255, 255, 0.2);
    }
}

#settings {
    display: none;
}

#chorus, #chords, #suggest {
    display: inline;
}

#searchBox {
    width: 200px;
    height: 50px;
    float: right;
    vertical-align: top;
    input {
        width: 100%;
        height: 100%;
        border: none;
        border-radius: 0px;
        font-size: 16px;
        background-color: rgba(255, 255, 255, 0.2);
        padding-top: 4px;
        padding-left: 20px;
        font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
        font-weight: bold;
        color: var(--color-secondary);
        box-sizing: border-box;
        &:focus {
            outline: none;
            color: var(--color-secondary);
            background-color: rgb(241, 241, 241);
        }
        &::placeholder {
            color: var(--color-secondary);
        }
        &:focus::placeholder {
            color: transparent;
            }
    }
    app-button {
        position: absolute;
        right: 18px;
        top: 15px;
        z-index: 101;
        pointer-events: auto;
        cursor: pointer;
        color: var(--color-secondary)
    }
    #searchIcon {
        cursor: pointer;
        pointer-events: none;
    }
}

app-button {
    pointer-events: none;
}

#searchResult {
    position: fixed;
    width: 365px;
    top: 50px;
    right: 0px;
    background-color: rgb(241, 241, 241);
    color: var(--color-secondary);
    box-shadow: 0px 10px 10px 0px rgba(0, 0, 0, 0.5);
    ul {
        padding: 0px;
        margin-top: 0px;
        margin-bottom: 0px;
    }
    li {
        cursor: pointer;
        list-style: none;
        height: 50px;
        vertical-align: center;
        padding-left: 20px;
        padding-top: 10px;
        &:hover {
            background-color: rgba(0, 0, 0, 0.1);
        }
    }
    #itemTitle {
        font-weight: bold;
    }
    #itemArtist {
        font-size: 12px;
        font-style: italic;
    }
}

@media screen and (max-width: 735px) { // tablet, mobile
    select {
        width: 200px;
        padding-right: 20px;
    }
    #songsList {
        display: inline;
    }
    #searchResult {
        width: 100%;
        height: calc(100% - var(--menu-height));
        border-radius: 0px;
    }
    #searchBox {
        width: 100%;
        left: 0px;
        top: 0px;
        z-index: 100;
        position: fixed;
        transform: translate(0, 0);
        background-color: rgb(241, 241, 241);
    }
}

@media screen and (max-width: 475px) { // icon hide
    #settings {
        display: inline;
    }
    #chorus, #chords, #suggest {
        display: none;
    }
}